
Robotics Service Bus - Bug #191
Python spread blocks at least sigint
02/15/2011 05:56 PM - I. Lütkebohle

Status: Rejected Start date: 02/15/2011
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Python Estimated time: 0.00 hour
Target version: rsb-0.7
Description

Programme die RSBPython verwenden reagieren nicht mehr auf Ctrl-C.

Related issues:
Related to RSB Component Testing Framework - Bug # 981: Timeout not working w... Closed 04/13/2012

History
#1 - 04/08/2011 05:07 PM - J. Wienke
- Category set to Python

#2 - 05/25/2011 07:02 PM - J. Moringen

This might be caused by Spread interacting with signal handlers: The same behavior regarding SIGINT can be observed when using libspread from
Lisp.

#3 - 09/01/2011 06:56 PM - J. Wienke
- % Done changed from 0 to 10

Somehow it is possible to kill every rsb-python based software with ctrl+4. Why? ;)

#4 - 06/22/2012 03:50 PM - J. Wienke
- Subject changed from Ctrl-C für RSBPython to Python spread blocks at least sigint
- Status changed from New to Rejected
- Target version set to rsb-0.7
- % Done changed from 10 to 0

This is a problem of the C implementation of spread. This blocks at least sigint, which consequently prevents the receiving thread from handling this
signal. So we cannot do much about this.
